Package com.scriptel.proscript

## Class OperatingModes

- java.lang.Object
- - com.scriptel.proscript.OperatingModes

-     public final class OperatingModes
      extends java.lang.Object

  The class represents compatible operating modes of a ScripTouch device.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ACQMODE_AUTOTOUCH` | Auto touch mode, may not be supported on all devices.
    `static int` | `ACQMODE_PEN` | Pen mode.
    `static int` | `ACQMODE_TOUCH` | Touch mode.
    `static int` | `MODE_CONTINUOUS` | Mode continuous.
    `static int` | `MODE_SINGLE` | Mode single.
    `static int` | `MODE_SINGLE_LIFTOFF` | Mode single liftoff.
    `static int` | `MODE_STREAM` | Mode stream.
    `static int` | `MODE_STREAM_LIFTOFF` | Mode stream liftoff.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getAcqModeString​(int acqMode)` | Gets the acquisition mode in string form.
    `int` | `getAcquisitionMode()` | Gets the acquisition mode.
    `static java.lang.String` | `getModeString​(int mode)` | Gets the mode in string form.
    `int` | `getPenMode()` | Gets the pen mode.
    `int` | `getReserved()` | Gets reserved, reserved for future use.
    `int` | `getSupportedModes()` | Gets the supported modes.
    `int` | `getTouchMode()` | Gets the touch mode.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ACQMODE_TOUCH

          public static final int ACQMODE_TOUCH

      Touch mode.
      See Also:
        Constant Field Values

    - #### ACQMODE_PEN

          public static final int ACQMODE_PEN

      Pen mode.
      See Also:
        Constant Field Values

    - #### ACQMODE_AUTOTOUCH

          public static final int ACQMODE_AUTOTOUCH

      Auto touch mode, may not be supported on all devices.
      See Also:
        Constant Field Values

    - #### MODE_SINGLE

          public static final int MODE_SINGLE

      Mode single.
      See Also:
        Constant Field Values

    - #### MODE_SINGLE_LIFTOFF

          public static final int MODE_SINGLE_LIFTOFF

      Mode single liftoff.
      See Also:
        Constant Field Values

    - #### MODE_STREAM

          public static final int MODE_STREAM

      Mode stream.
      See Also:
        Constant Field Values

    - #### MODE_STREAM_LIFTOFF

          public static final int MODE_STREAM_LIFTOFF

      Mode stream liftoff.
      See Also:
        Constant Field Values

    - #### MODE_CONTINUOUS

          public static final int MODE_CONTINUOUS

      Mode continuous.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAcqModeString

          public static java.lang.String getAcqModeString​(int acqMode)

      Gets the acquisition mode in string form.
      Parameters:
        `acqMode` - Acquisition mode.
      Returns:
        String representing the acquisition mode.

    - #### getModeString

          public static java.lang.String getModeString​(int mode)

      Gets the mode in string form.
      Parameters:
        `mode` - Mode.
      Returns:
        String representing the mode.

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getSupportedModes

          public int getSupportedModes()

      Gets the supported modes.
      Returns:
        the supportedModes.

    - #### getReserved

          public int getReserved()

      Gets reserved, reserved for future use.
      Returns:
        the reserved

    - #### getAcquisitionMode

          public int getAcquisitionMode()

      Gets the acquisition mode.
      Returns:
        the acquisitionMode

    - #### getTouchMode

          public int getTouchMode()

      Gets the touch mode.
      Returns:
        the touchMode

    - #### getPenMode

          public int getPenMode()

      Gets the pen mode.
      Returns:
        the penMode